summaryrefslogtreecommitdiff
path: root/distro
diff options
context:
space:
mode:
authorPerberos <[email protected]>2011-12-01 23:52:01 -0300
committerPerberos <[email protected]>2011-12-01 23:52:01 -0300
commit28a029a4990d2a84f9d6a0b890eba812ea503998 (patch)
tree7a69477d0dd6bf351801fa9698d95224e4fe47b6 /distro
downloadmarco-28a029a4990d2a84f9d6a0b890eba812ea503998.tar.bz2
marco-28a029a4990d2a84f9d6a0b890eba812ea503998.tar.xz
moving from https://github.com/perberos/mate-desktop-environment
Diffstat (limited to 'distro')
-rw-r--r--distro/archlinux/PKGBUILD40
-rw-r--r--distro/archlinux/mate-window-manager.install17
-rw-r--r--distro/archlinux/metacity-restartstyle.patch139
-rwxr-xr-xdistro/ubuntu/build35
-rwxr-xr-xdistro/ubuntu/postinst9
-rwxr-xr-xdistro/ubuntu/preinst8
-rwxr-xr-xdistro/ubuntu/prerm11
7 files changed, 259 insertions, 0 deletions
diff --git a/distro/archlinux/PKGBUILD b/distro/archlinux/PKGBUILD
new file mode 100644
index 00000000..bf4c4f45
--- /dev/null
+++ b/distro/archlinux/PKGBUILD
@@ -0,0 +1,40 @@
+pkgname=mate-window-manager
+pkgver=2011.11.28
+pkgrel=1
+pkgdesc="A window manager for MATE"
+arch=(i686 x86_64)
+license=('GPL')
+depends=('mate-conf' 'mate-dialogs' 'libgtop' 'libwnck') # 'libcanberra' 'startup-notification'
+makedepends=('intltool' 'pkgconfig' 'mate-doc-utils')
+options=('!emptydirs' '!libtool')
+install=mate-window-manager.install
+url="http://matsusoft.com.ar/projects"
+groups=('mate')
+source=(http://sourceforge.net/projects/matede/files/${pkgver}/${pkgname}.tar.gz/download
+ metacity-restartstyle.patch)
+sha256sums=('bbacc3cd0b7cb0d44d0417613d151cc3178a4b0fcf3ff77b4d254c9927f9942e'
+ 'ea2450ca3e4fb59166ec18ff4844cc61cb16865880dc6b125078a3ab47bf2caf')
+
+build() {
+ cd "${srcdir}/${pkgname}"
+ patch -Np1 -i "${srcdir}/metacity-restartstyle.patch" || return 1
+ ./autogen.sh \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --libexecdir=/usr/lib/mate-window-manager \
+ --disable-static \
+ --disable-startup-notification \
+ --disable-scrollkeeper || return 1
+ make || return 1
+}
+
+package() {
+ cd "${srcdir}/${pkgname}"
+
+ make MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
+
+ install -m755 -d "${pkgdir}/usr/share/mateconf/schemas"
+ mateconf-merge-schema "${pkgdir}/usr/share/mateconf/schemas/${pkgname}.schemas" --domain ${pkgname} ${pkgdir}/etc/mateconf/schemas/*.schemas
+ rm -f ${pkgdir}/etc/mateconf/schemas/*.schemas
+}
diff --git a/distro/archlinux/mate-window-manager.install b/distro/archlinux/mate-window-manager.install
new file mode 100644
index 00000000..7bdd0c02
--- /dev/null
+++ b/distro/archlinux/mate-window-manager.install
@@ -0,0 +1,17 @@
+ pkgname=mate-window-manager
+
+post_install() {
+ usr/sbin/mateconfpkg --install ${pkgname}
+}
+
+pre_upgrade() {
+ pre_remove $1
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ usr/sbin/mateconfpkg --uninstall ${pkgname}
+}
diff --git a/distro/archlinux/metacity-restartstyle.patch b/distro/archlinux/metacity-restartstyle.patch
new file mode 100644
index 00000000..99fe864a
--- /dev/null
+++ b/distro/archlinux/metacity-restartstyle.patch
@@ -0,0 +1,139 @@
+From a3de65d5d1861f755ced7cad291fbbd4f1b8ef51 Mon Sep 17 00:00:00 2001
+From: Owen W. Taylor <[email protected]>
+Date: Sat, 22 Aug 2009 15:00:57 -0400
+Subject: [PATCH] Should set RestartStyleHint to RestartIfRunning when replaced
+
+This reverts most of commit abbd057eb967e6ab462ffe305f41b2b04d417b25;
+
+ - It's fine to call meta_session_shutdown() after the display
+ is closed, since it's talking over the ICE connection
+ - We should not call warn_about_lame_clients_and_finish_interact()
+ unless we are interacting with the window manager in a session
+ save.
+
+However, the part of abbd057 that fixed accessing freed memory was
+fixing a real problem; this patches does the same thing in a simpler
+way by fixing an obvious type in meta_display_close() where it was
+NULL'ing out the local variable 'display' rather than the global
+variable 'the_display' and adding keeping the check in meta_finalize()
+that was added in abbd057.
+
+The order of calling meta_session_shutdown() and
+calling meta_display_close() is reverted back to the old order to
+make it clear that it's OK if the display way already closed previously.
+
+http://bugzilla.gnome.org/show_bug.cgi?id=588119
+---
+ src/core/display-private.h | 2 +-
+ src/core/display.c | 16 ++++------------
+ src/core/main.c | 5 ++---
+ src/core/session.c | 8 --------
+ 4 files changed, 7 insertions(+), 24 deletions(-)
+
+diff --git a/src/core/display-private.h b/src/core/display-private.h
+index 19287f3..9c8ebc6 100644
+--- a/src/core/display-private.h
++++ b/src/core/display-private.h
+@@ -329,7 +329,7 @@ MetaScreen* meta_display_screen_for_xwindow (MetaDisplay *display,
+ void meta_display_grab (MetaDisplay *display);
+ void meta_display_ungrab (MetaDisplay *display);
+
+-void meta_display_unmanage_screen (MetaDisplay **display,
++void meta_display_unmanage_screen (MetaDisplay *display,
+ MetaScreen *screen,
+ guint32 timestamp);
+
+diff --git a/src/core/display.c b/src/core/display.c
+index 55c374a..8e35a35 100644
+--- a/src/core/display.c
++++ b/src/core/display.c
+@@ -926,7 +926,7 @@ meta_display_close (MetaDisplay *display,
+ meta_compositor_destroy (display->compositor);
+
+ g_free (display);
+- display = NULL;
++ the_display = NULL;
+
+ meta_quit (META_EXIT_SUCCESS);
+ }
+@@ -4762,13 +4762,10 @@ process_selection_clear (MetaDisplay *display,
+ meta_verbose ("Got selection clear for screen %d on display %s\n",
+ screen->number, display->name);
+
+- meta_display_unmanage_screen (&display,
++ meta_display_unmanage_screen (display,
+ screen,
+ event->xselectionclear.time);
+
+- if (!display)
+- the_display = NULL;
+-
+ /* display and screen may both be invalid memory... */
+
+ return;
+@@ -4790,12 +4787,10 @@ process_selection_clear (MetaDisplay *display,
+ }
+
+ void
+-meta_display_unmanage_screen (MetaDisplay **displayp,
++meta_display_unmanage_screen (MetaDisplay *display,
+ MetaScreen *screen,
+ guint32 timestamp)
+ {
+- MetaDisplay *display = *displayp;
+-
+ meta_verbose ("Unmanaging screen %d on display %s\n",
+ screen->number, display->name);
+
+@@ -4805,10 +4800,7 @@ meta_display_unmanage_screen (MetaDisplay **displayp,
+ display->screens = g_slist_remove (display->screens, screen);
+
+ if (display->screens == NULL)
+- {
+- meta_display_close (display, timestamp);
+- *displayp = NULL;
+- }
++ meta_display_close (display, timestamp);
+ }
+
+ void
+diff --git a/src/core/main.c b/src/core/main.c
+index a36a396..44d317e 100644
+--- a/src/core/main.c
++++ b/src/core/main.c
+@@ -361,12 +361,11 @@ static void
+ meta_finalize (void)
+ {
+ MetaDisplay *display = meta_get_display();
+-
+- meta_session_shutdown ();
+-
+ if (display)
+ meta_display_close (display,
+ CurrentTime); /* I doubt correct timestamps matter here */
++
++ meta_session_shutdown ();
+ }
+
+ static void
+diff --git a/src/core/session.c b/src/core/session.c
+index 7e3b389..0d69350 100644
+--- a/src/core/session.c
++++ b/src/core/session.c
+@@ -376,14 +376,6 @@ meta_session_shutdown (void)
+ SmProp *props[1];
+ char hint = SmRestartIfRunning;
+
+- if (!meta_get_display ())
+- {
+- meta_verbose ("Cannot close session because there is no display");
+- return;
+- }
+-
+- warn_about_lame_clients_and_finish_interact (FALSE);
+-
+ if (session_connection == NULL)
+ return;
+
+--
+1.6.4
diff --git a/distro/ubuntu/build b/distro/ubuntu/build
new file mode 100755
index 00000000..776572ca
--- /dev/null
+++ b/distro/ubuntu/build
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+# fill it
+pkgname=mate-window-manager
+pkgver=2011.11.28
+pkgrel=1
+pkgdesc="A window manager for MATE"
+depends=('mate-conf' 'mate-dialogs' 'libgtop2-7' 'libwnck22')
+# editar esta funcion!
+build() {
+ cd $pkgsrc
+ # descomprimir
+ tar xvzf download
+ # entramos a la carpeta
+ cd ${pkgname}
+
+ ./autogen.sh \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --libexecdir=/usr/lib/${pkgname} \
+ --disable-static \
+ --disable-startup-notification \
+ --disable-scrollkeeper || return 1
+ make || return 1
+
+ make MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install
+
+ install -m755 -d "${pkgdir}/usr/share/mateconf/schemas"
+ mateconf-merge-schema "${pkgdir}/usr/share/mateconf/schemas/${pkgname}.schemas" --domain ${pkgname} ${pkgdir}/etc/mateconf/schemas/*.schemas
+ rm -f ${pkgdir}/etc/mateconf/schemas/*.schemas
+}
+
+# esto incluye la parte que se repite en la mayoria de los builds
+. /usr/share/mate-doc-utils/mate-debian.sh
diff --git a/distro/ubuntu/postinst b/distro/ubuntu/postinst
new file mode 100755
index 00000000..18863d13
--- /dev/null
+++ b/distro/ubuntu/postinst
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+pkgname=mate-window-manager
+
+if [ -f /usr/sbin/mateconfpkg ]; then
+ /usr/sbin/mateconfpkg --install ${pkgname}
+fi
+
+exit 0
diff --git a/distro/ubuntu/preinst b/distro/ubuntu/preinst
new file mode 100755
index 00000000..85d7a724
--- /dev/null
+++ b/distro/ubuntu/preinst
@@ -0,0 +1,8 @@
+#!/bin/sh -e
+
+pkgname=mate-window-manager
+
+if [ -f /usr/sbin/mateconfpkg ]; then
+ /usr/sbin/mateconfpkg --uninstall ${pkgname}
+fi
+
diff --git a/distro/ubuntu/prerm b/distro/ubuntu/prerm
new file mode 100755
index 00000000..e05519b4
--- /dev/null
+++ b/distro/ubuntu/prerm
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -e
+
+pkgname=mate-window-manager
+
+if [ -f /usr/sbin/mateconfpkg ]; then
+ /usr/sbin/mateconfpkg --uninstall ${pkgname}
+fi
+
+exit 0